#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'generalsettingswidget.ui'
**
** Created: 2012-11-09T21:58:14
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettingswidget.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "generalsettingswidget.ui.h"

/*
 *  Constructs a GeneralSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralSettingsWidget::GeneralSettingsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralSettingsWidget" );
    GeneralSettingsWidgetLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "GeneralSettingsWidgetLayout"); 

    kcfg_Antialiasing = new QCheckBox( this, "kcfg_Antialiasing" );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Antialiasing );

    kcfg_PlatformFonts = new QCheckBox( this, "kcfg_PlatformFonts" );
    kcfg_PlatformFonts->setEnabled( TRUE );
    GeneralSettingsWidgetLayout->addWidget( kcfg_PlatformFonts );

    kcfg_Messages = new QCheckBox( this, "kcfg_Messages" );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Messages );

    kcfg_Palette = new QButtonGroup( this, "kcfg_Palette" );
    kcfg_Palette->setColumnLayout(0, Qt::Vertical );
    kcfg_Palette->layout()->setSpacing( KDialog::spacingHint() );
    kcfg_Palette->layout()->setMargin( KDialog::marginHint() );
    kcfg_PaletteLayout = new QHBoxLayout( kcfg_Palette->layout() );
    kcfg_PaletteLayout->setAlignment( Qt::AlignTop );

    Mono = new QRadioButton( kcfg_Palette, "Mono" );
    kcfg_Palette->insert( Mono, 2 );
    kcfg_PaletteLayout->addWidget( Mono );

    Gray = new QRadioButton( kcfg_Palette, "Gray" );
    kcfg_Palette->insert( Gray, 1 );
    kcfg_PaletteLayout->addWidget( Gray );

    Color = new QRadioButton( kcfg_Palette, "Color" );
    kcfg_Palette->insert( Color, 0 );
    kcfg_PaletteLayout->addWidget( Color );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Palette );
    languageChange();
    resize( QSize(397, 143).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettingsWidget::~GeneralSettingsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettingsWidget::languageChange()
{
    kcfg_Antialiasing->setText( tr2i18n( "&Enable anti-aliasing of fonts and images" ) );
    QWhatsThis::add( kcfg_Antialiasing, tr2i18n( "Anti-aliasing makes the result look better, but it makes the display take longer" ) );
    kcfg_PlatformFonts->setText( tr2i18n( "&Use platform fonts" ) );
    kcfg_Messages->setText( tr2i18n( "&Show Ghostscript messages in a separate box" ) );
    QWhatsThis::add( kcfg_Messages, tr2i18n( "Ghostscript is the basic renderer (the program which draws the picture)<br>\n"
"In case of problems you might want to see its error messages" ) );
    kcfg_Palette->setTitle( tr2i18n( "Palette" ) );
    Mono->setText( tr2i18n( "&Monochrome" ) );
    Gray->setText( tr2i18n( "&Grayscale" ) );
    Color->setText( tr2i18n( "Co&lor" ) );
}

/****************************************************************************
** GeneralSettingsWidget meta object code from reading C++ file 'generalsettingswidget.h'
**
** Created: Fri Nov 9 21:58:15 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "generalsettingswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GeneralSettingsWidget::className() const
{
    return "GeneralSettingsWidget";
}

QMetaObject *GeneralSettingsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GeneralSettingsWidget( "GeneralSettingsWidget", &GeneralSettingsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GeneralSettingsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GeneralSettingsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GeneralSettingsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GeneralSettingsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GeneralSettingsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GeneralSettingsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GeneralSettingsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* GeneralSettingsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GeneralSettingsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GeneralSettingsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GeneralSettingsWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GeneralSettingsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GeneralSettingsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
