#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gssettingswidget.ui'
**
** Created: 2012-11-09T21:58:15
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gssettingswidget.h"

#include <qvariant.h>
#include <kdialog.h>
#include <kpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "gssettingswidget.ui.h"

/*
 *  Constructs a GSSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GSSettingsWidget::GSSettingsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GSSettingsWidget" );
    GSSettingsWidgetLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "GSSettingsWidgetLayout"); 

    mConfigureButton = new KPushButton( this, "mConfigureButton" );
    mConfigureButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, mConfigureButton->sizePolicy().hasHeightForWidth() ) );

    GSSettingsWidgetLayout->addWidget( mConfigureButton, 0, 0 );
    spacer1 = new QSpacerItem( 286, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GSSettingsWidgetLayout->addItem( spacer1, 0, 1 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    groupBox1Layout->addWidget( textLabel1 );

    kcfg_Interpreter = new KURLRequester( groupBox1, "kcfg_Interpreter" );
    groupBox1Layout->addWidget( kcfg_Interpreter );

    mDetectedVersion = new QLabel( groupBox1, "mDetectedVersion" );
    groupBox1Layout->addWidget( mDetectedVersion );

    textLabel2 = new QLabel( groupBox1, "textLabel2" );
    groupBox1Layout->addWidget( textLabel2 );

    kcfg_NonAntialiasingArguments = new KLineEdit( groupBox1, "kcfg_NonAntialiasingArguments" );
    groupBox1Layout->addWidget( kcfg_NonAntialiasingArguments );

    textLabel3 = new QLabel( groupBox1, "textLabel3" );
    groupBox1Layout->addWidget( textLabel3 );

    kcfg_AntialiasingArguments = new KLineEdit( groupBox1, "kcfg_AntialiasingArguments" );
    groupBox1Layout->addWidget( kcfg_AntialiasingArguments );

    GSSettingsWidgetLayout->addMultiCellWidget( groupBox1, 1, 1, 0, 1 );
    languageChange();
    resize( QSize(395, 243).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( kcfg_Interpreter );
    textLabel2->setBuddy( kcfg_NonAntialiasingArguments );
    textLabel3->setBuddy( kcfg_AntialiasingArguments );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GSSettingsWidget::~GSSettingsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GSSettingsWidget::languageChange()
{
    mConfigureButton->setText( tr2i18n( "Auto Con&figure" ) );
    groupBox1->setTitle( tr2i18n( "Settings" ) );
    textLabel1->setText( tr2i18n( "&Interpreter:" ) );
    QWhatsThis::add( kcfg_Interpreter, tr2i18n( "Ghostscript is the basic renderer (i.e. the program which draws)" ) );
    mDetectedVersion->setText( tr2i18n( "(detected gs version: %1)" ) );
    textLabel2->setText( tr2i18n( "&Non-antialiasing arguments:" ) );
    QWhatsThis::add( kcfg_NonAntialiasingArguments, tr2i18n( "Anti-aliasing makes the result look better, but it makes the display take longer" ) );
    textLabel3->setText( tr2i18n( "An&tialiasing arguments:" ) );
    QWhatsThis::add( kcfg_AntialiasingArguments, tr2i18n( "Anti-aliasing makes the result look better, but it makes the display take longer" ) );
}

/****************************************************************************
** GSSettingsWidget meta object code from reading C++ file 'gssettingswidget.h'
**
** Created: Fri Nov 9 21:58:16 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gssettingswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GSSettingsWidget::className() const
{
    return "GSSettingsWidget";
}

QMetaObject *GSSettingsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GSSettingsWidget( "GSSettingsWidget", &GSSettingsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GSSettingsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GSSettingsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GSSettingsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GSSettingsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GSSettingsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "v", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"setDetectedVersion", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "setDetectedVersion(QString)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"configClicked", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "configClicked()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"GSSettingsWidget", parentObject,
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GSSettingsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* GSSettingsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GSSettingsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL configClicked
void GSSettingsWidget::configClicked()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool GSSettingsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: setDetectedVersion((QString)static_QUType_QString.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GSSettingsWidget::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: configClicked(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool GSSettingsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GSSettingsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
